# Script:   load.pl
# 
# Summary:  This script is used to load a specified component
#           onto the specified target. It creates the tornado process 
#           and passes it the all the necessary information. The
#           tornado process does all the real work.
#
# History:
#           99/02   Creation.
#           2000-11-02 FA: Cleanup.
#

$cmd = "tctornado.exe -L"; # -L for Load
#
%oneArgs = map { $_, 1 } qw( -cpu -exe -server );
#
sub quote # In: list of strings. Returns array of modified strings
{
    my @res = ();

    foreach( @_ )
    {
	my $quo = index( $_, ' ' ) > -1 ? '"' : '';
	push( @res, "$quo$_$quo" );
    }

    join( ' ', @res );
}
#
while( $arg = lc( shift @ARGV ) )
{
    if( $oneArgs{$arg} ) { $cmd .= " $arg ".quote( shift @ARGV ); }
}

$savePath  = $ENV{PATH};
( $addPath, $me ) = ( $0 =~ m{(.+)[/\\]([^/\\]+)$} ); #(path/to)/(me.pl)
$ENV{PATH} = "$addPath;$ENV{PATH}";

$cmd = "echo ::Ok::" ;
$rc = system( $cmd );
$rc = 0;

$ENV{PATH} = $savePath;

print "$me: Unable to execute cmd\n$cmd\n" if( $rc != 0 );

exit $rc;